package domain;

public class Adjazenz extends MatrixN {
	public Adjazenz(int dim) throws MatrixException {
		super(dim);
	}
	
	@Override
	public void set(int row, int col, int value) throws MatrixException {
		if (value<0 && value>1)
			throw new MatrixException("Fehler: nur 0 und 1 erlaubt!");
		if (value==1 && row==col)
			throw new MatrixException("Fehler: keine Schlingen erlaubt");
		
		super.set(row, col, value);
	}
}
